import store from '@/store'

// 判断是否有权限
export function checkPermission(value) {
  if (!value) return
  const permissions = store.state.permissions || []
  console.log(JSON.stringify(permissions))
  if (Array.isArray(value)) {
    return permissions.some(item => value.includes(item.tag))
  } else {
    return !!permissions.find(item => item.tag === value)
  }
}

// 权限指令
export function permissionDirective(el, binding) {
  const { value } = binding
  if (!value) return
  console.log(value)
  if (!checkPermission(value)) {
    el.parentNode && el.parentNode.removeChild(el)
  }
}
